/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.suite;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * link all the suites from all directories
 */
public class C_suite extends JTestCase {
 
    public C_suite(String name) {
        super(name);
    }

    public static Test suite() {
        TestSuite suite = new TestSuite();

        // put here the list of the non 'remote-runner' suites to run
        suite.addTest(org.objectweb.jonas.jtests.clients.distribution.C_distribution.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.entity.C_entity.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.exception.C_exception.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.jms.C_jms.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.security.C_security.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.session.C_session.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.transaction.C_transaction.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.j2eeca.C_j2eeca.suite());
        suite.addTest(org.objectweb.jonas.jtests.clients.jca15.C_jca15.suite());

        return suite;
    }

    public static void main (String args[]) {

        // non 'remote-runner' suites
        junit.textui.TestRunner.run(suite());

        // 'remote-runner' suites
        org.objectweb.jonas.jtests.clients.local.C_local.main(args);

    }
 
}
